US Plate Decode API Documentation
Welcome to Vehicle Databases API's Documentation
US Plate Decode
GETJSON ResponseOverview
This API provides details about year, make, model and VIN by taking license plate number and state. This API covers only USA states.
- COVERAGE
- This API supports US license plate and state.
- SUPPORT
- License Plate and US State
HTTP Request
Endpoint
GET
https://api.vehicledatabases.com/license-decode/{license plate}/{state}Request
import requests
response = requests.get(
"https://api.vehicledatabases.com/license-decode/{license_plate}/{state}",
headers={"x-authkey": "YOUR_API_KEY"}
)
print(response.json())GET Parameters
license_plateRequired- License Plate Number
stateRequired- US State
JSON Response
This API returns electric vehicle specifications and features.
Example Response
status- success or error
data- Provides the VIN and basic information about the vehicle.
Response
{
"status": "success",
"data": {
"intro": {
"vin": "1G4CW54K334142842",
"license": "CN31613",
"state": "IL"
},
"basic": {
"make": "Buick",
"model": "Park Avenue",
"year": 2003
}
}
}Error Responses
errorstatus
When an error occurs, the API returns an error status with a code and message.
CodeDescriptionResolution
400No Record(s) were found.Verify the year, make, model, and trim are correct or try a different electric vehicle.
401Invalid API x-authkey.Provide a valid API x-authkey.
404API endpoint not foundCheck the API endpoint URL.
429Rate limit exceededReduce request frequency to comply with rate limits.